#ifndef EDITSCENE_INVENTORY_EDITOR_HPP
#define EDITSCENE_INVENTORY_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/Inventory.hpp"

class InventoryEditor : public ComponentEditor<InventoryComponent> {
public:
	const char *getName() const override
	{
		return "Inventory";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     InventoryComponent &inventory) override;
};

#endif // EDITSCENE_INVENTORY_EDITOR_HPP
